// commonjs

const path = require('path')
module.exports = {
    // 模式
    mode: 'development',  //开发的模式
    // mode: 'production',   //生产模式
    // 入口
    entry: './src/index.js',
    // 出口
    output: {
        path: path.resolve(__dirname, 'dist'),
        filename: 'rck-utils.js',
        // filename: 'rck-utils.min.js',
        library: '_', //向外报漏对象的名字
        libraryTarget: 'umd',  //针对 esm/ commonjs / amd(requireJs)
    }
}